# Glib::SListHandle< T, Tr > Class Template Reference
[Generic container converters]

List of all members.

## Public Types

typedef Tr::CppType | CppType
typedef Tr::CType | CType
typedef CppType | value_type
typedef size_t | size_type
typedef ptrdiff_t | difference_type
typedef Glib::Container_Helpers::SListHandleIterator < Tr > | const_iterator
typedef Glib::Container_Helpers::SListHandleIterator < Tr > | iterator

## Public Member Functions

template<class Cont >
| SListHandle (const Cont& container)
| SListHandle (GSList* glist, Glib::OwnershipType ownership)
| SListHandle (const SListHandle< T, Tr >& other)
| ~SListHandle ()
const_iterator | begin () const
const_iterator | end () const
template<class U >
| operator std::vector< U > () const
template<class U >
| operator std::deque< U > () const
template<class U >
| operator std::list< U > () const
template<class Cont >
void | assign_to (Cont& container) const
template<class Out >
void | copy (Out pdest) const
GSList* | data () const
size_t | size () const
bool | empty () const

### template <class T, class Tr = Glib::Container_Helpers::TypeTraits<T>>
class Glib::SListHandle< T, Tr >

## Member Typedef Documentation

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

typedef Glib::Container_Helpers::SListHandleIterator<Tr> Glib::SListHandle< T, Tr >::const_iterator

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

typedef Tr::CppType Glib::SListHandle< T, Tr >::CppType

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

typedef Tr::CType Glib::SListHandle< T, Tr >::CType

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

typedef ptrdiff_t Glib::SListHandle< T, Tr >::difference_type

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

typedef Glib::Container_Helpers::SListHandleIterator<Tr> Glib::SListHandle< T, Tr >::iterator

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

typedef size_t Glib::SListHandle< T, Tr >::size_type

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

typedef CppType Glib::SListHandle< T, Tr >::value_type

## Constructor & Destructor Documentation

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>
template <class Cont >

Glib::SListHandle< T, Tr >::SListHandle | ( | const Cont & | container | ) | `[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

Glib::SListHandle< T, Tr >::SListHandle | ( | GSList * | glist,
|  | Glib::OwnershipType | ownership |
| ) |  |  | `[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

Glib::SListHandle< T, Tr >::SListHandle | ( | const SListHandle< T, Tr >& | other | ) | `[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

Glib::SListHandle< T, Tr >::~SListHandle | ( |  | ) |

## Member Function Documentation

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>
template <class Cont >

void Glib::SListHandle< T, Tr >::assign_to | ( | Cont & | container | ) | const`[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

const_iterator Glib::SListHandle< T, Tr >::begin | ( |  | ) | const`[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>
template <class Out >

void Glib::SListHandle< T, Tr >::copy | ( | Out | pdest | ) | const`[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

GSList* Glib::SListHandle< T, Tr >::data | ( |  | ) | const`[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

bool Glib::SListHandle< T, Tr >::empty | ( |  | ) | const`[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

const_iterator Glib::SListHandle< T, Tr >::end | ( |  | ) | const`[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>
template <class U >

Glib::SListHandle< T, Tr >::operator std::deque< U > | ( |  | ) | const`[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>
template <class U >

Glib::SListHandle< T, Tr >::operator std::list< U > | ( |  | ) | const`[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>
template <class U >

Glib::SListHandle< T, Tr >::operator std::vector< U > | ( |  | ) | const`[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

size_t Glib::SListHandle< T, Tr >::size | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- glibmm/slisthandle.h